Crawl

Get status of multiple crawl jobs

Retrieves the current status of multiple crawl jobs in a single request. Maximum 1000 job IDs per request. Jobs that don't exist or that the user is not authorized to view will return an error object with code "not_found". Invalid UUIDs will return an error with code "invalid_uuid".

POST
/crawl/v1/jobs/batch/status

Header Parameters

Authorization*string

API key in format: Bearer

Request Body

application/json

List of job IDs to check

job_ids*array<>

Array of job IDs to check. Maximum 1000 per request.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://edge.uprock.com/crawl/v1/jobs/batch/status" \  -H "Authorization: Bearer YOUR_API_KEY" \  -H "Content-Type: application/json" \  -d '{    "job_ids": [      "f2bf9f8b-10ee-4c61-9633-4eacc3e8aac8"    ]  }'
{
  "found_count": 1,
  "requested_count": 1,
  "results": {
    "f2bf9f8b-10ee-4c61-9633-4eacc3e8aac8": {
      "job": {
        "job_id": "f2bf9f8b-10ee-4c61-9633-4eacc3e8aac8",
        "url": "https://example.com/",
        "method": "GET",
        "status": "completed",
        "submitted_at": "2026-02-17T11:38:58.467667051Z",
        "timeout_sec": 30
      }
    }
  }
}
"invalid request: url is required"
"unauthorized: invalid or missing API key"
"internal server error: please try again later"